<?php
/**
 * Loop Rating
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/rating.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

if ( ! wc_review_ratings_enabled() ) {
	return;
}

$count = $product->get_review_count();

if( $count ){
	echo '<div class="star-rating-wrapper">';

	echo wc_get_rating_html( $product->get_average_rating() ); // WordPress.XSS.EscapeOutput.OutputNotEscaped.

	echo '<div class="count-rating">(' . $count . ')</div>';

	echo apply_filters('loobek_loop_rating_list_view_html', '');

	echo '</div>';
}
elseif( apply_filters('loobek_loop_rating_list_view_empty_rating', false) ){
	echo '<div class="star-rating-wrapper no-rating">';
	
	echo apply_filters('loobek_loop_rating_list_view_html', '');
	
	echo '</div>';
}